Project

General

Profile

Actions

Feature #4532

closed

Bump Firefox to 24.2.0 ESR

Added by Ken Mays over 7 years ago. Updated over 7 years ago.

Status:
Closed
Priority:
High
Assignee:
Category:
OI-Userland
Target version:
-
Start date:
2014-01-25
Due date:
2014-01-31
% Done:

100%

Estimated time:
1.00 h
Difficulty:
Bite-size
Tags:
firefox

Actions #1

Updated by Alexander Pyhalov over 7 years ago

Current dependencies of firefox:

These ones require patching to work with FF24:
developer/gnome/devhelp
gnome/media/gnome-media-player
library/desktop/gtk-vnc
library/libproxy/libproxy-mozjs
library/python-2/python-gnome-extras-26
web/browser/firefox/plugin/firefox-xrx

not a problem:
web/browser/firefox/plugin/firefox-java
web/browser/w3m
web/data/firefox-bookmarks

One thing to note: In FF 24 libxpcom.so has gone (https://bugzilla.mozilla.org/show_bug.cgi?id=852950). I don't know how much work will be necessary to make mentioned consumers work with new version. Perhaps, we could create libxul 17.0 package at least for developer/gnome/devhelp. But packages, providing FF plugins will require more work.

Actions #3

Updated by Ken Mays over 7 years ago

  • Status changed from New to Closed
  • % Done changed from 0 to 100

Ref: ,5.11-0.151.1.8.1:20140126T094820Z

This meets the current 'core OS' minimum web browser requirements and known security issues with FireFox 17.x for 1/26/2014.

Actions #4

Updated by Ken Mays over 7 years ago

  • Status changed from Closed to In Progress
  • % Done changed from 100 to 90
Actions #5

Updated by Ken Mays over 7 years ago

  • Status changed from In Progress to Closed
  • % Done changed from 90 to 100
Actions

Also available in: Atom PDF